#pragma once

#include <Text.h>
#include <Server.h>

using namespace Framework;
using namespace Network;

class BeschreibungEditor : public virtual ReferenceCounter
{
private:
    Text pfad;
    Text fehler;

public:
    // Konstruktor
    BeschreibungEditor( char *pf );
    // Destruktor
    ~BeschreibungEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
};